eygle.com   eygle.com
eygle.com eygle
eygle.com  
 

« 学会思考 再来打破一个Chain | Blog首页 | 《深度解析Oracle》之 Redo & Undo »

解决ORA-600 [qmxiUnpPacked2]错误一则

昨天测试一个Oracle 9.2.0.8的数据库时遇到了一则ORA-600 [qmxiUnpPacked2]错误。

错误为Drop user时触发:

SQL> drop user eygle;
drop user eygle
*
ERROR at line 1:
ORA-01001: invalid cursor
ORA-00600: internal error code, arguments: [qmxiUnpPacked2], [121], [], [], [],[], [], []

根据Metalink Note:339070.1,这个错误的一个触发条件是升级不完全,需要运行catpatch.sql脚本。
通过以下步骤可以解决该问题:

SQL> shutdown immediate
SQL> startup migrate
SQL> spool patch.log
SQL> @?/rdbms/admin/catpatch
SQL> spool off

录此以记之!

-The End-


历史上的今天...
    >> 2007-03-18文章:
    >> 2005-03-18文章:

无觅

By eygle on 2008-03-18 14:27 | Comments (1) | Case | 1846 |

1 Comment

:)算是比较常见的升级不完全的问题了~


CopyRight © 2004~2020 云和恩墨,成就未来!, All rights reserved.
数据恢复·紧急救援·性能优化 云和恩墨 24x7 热线电话:400-600-8755 业务咨询:010-59007017-7040 or 7037 业务合作: marketing@enmotech.com